
Foreman - Bug #1456

Changing admin username ?

01/18/2012 01:29 PM - Anonymous

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: Authentication   

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hello,

I've recently set up foreman and while playing with it, I added LDAP authentication and changed the admin username to my LDAP

username, after this reports and builds fail with the following error:

Failed to set Build for myserver.mydomain.local due to:undefined method `allowed_to?' for nil:NilClass

or

Failed to process report for myserver.mydomain.local due to:undefined method `allowed_to?' for nil:NilClass

Maybe it would be best to disable this 'feature' for the moment, or add support for the change.

Foreman version: latest git revision

Thanks,

Herk.

Associated revisions

Revision 48be0b11 - 01/29/2012 09:31 AM - Ohad Levy

fixes #1456 - renaming the admin account should not be allowed

History

#1 - 01/29/2012 09:11 AM - Ohad Levy

- Category set to Authentication

- Assignee set to Ohad Levy

- Target version set to 1.0

#2 - 01/29/2012 09:58 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset 48be0b11c984e36ee51ca619654951733402d2bc.
